//#region ../../node_modules/langium/lib/workspace/file-system-provider.js
var e = class {
	stat(e) {
		throw Error("No file system is available.");
	}
	statSync(e) {
		throw Error("No file system is available.");
	}
	async exists() {
		return !1;
	}
	existsSync() {
		return !1;
	}
	readBinary() {
		throw Error("No file system is available.");
	}
	readBinarySync() {
		throw Error("No file system is available.");
	}
	readFile() {
		throw Error("No file system is available.");
	}
	readFileSync() {
		throw Error("No file system is available.");
	}
	async readDirectory() {
		return [];
	}
	readDirectorySync() {
		return [];
	}
}, t = { fileSystemProvider: () => new e() };
//#endregion
export { t as EmptyFileSystem };
